Player = {}

function Player:new()
	o = {
		x = 375,
		y = 280,
		w = 20,
		h = 20,
		speed = 150,
		health = 5,
		money = 0,
		mpr = love.graphics.newImage("resource/img/player_0.png"),
		mpf = love.graphics.newImage("resource/img/player_1.png"),
		mpb = love.graphics.newImage("resource/img/player_2.png"),
		mpl = love.graphics.newImage("resource/img/player_3.png"),
		facing = 'front',
	}
	setmetatable(o, { __index = Player})
	return o
end


function Player:update(dt)
	if love.keyboard.isDown('a') then
		o.x = o.x - o.speed * dt
		o.facing = 'left'
	end
	if love.keyboard.isDown('d') then
		o.x = o.x + o.speed * dt
		o.facing = 'right'
	end
	if love.keyboard.isDown('w') then
		o.y = o.y - o.speed * dt
		o.facing = 'back'
	end
	if love.keyboard.isDown('s') then
		o.y = o.y + o.speed * dt
		o.facing = 'front'
	end
	
	-- if o.x > love.graphics.getWidth() - o.w then
		-- o.x = love.graphics.getWidth() - o.w
	-- end
	-- if o.y > love.graphics.getHeight() - o.h then
		-- o.y = love.graphics.getHeight() - o.h
	-- end
	
	-- if o.x < 0 then
		-- o.x = 0
	-- end
	
	-- if o.y < 0 then
		-- o.y = 0
	-- end
end